{% extends 'base.html.twig' %}

{# we use this so it will use this template as a registration form template #}
{% form_theme registrationForm _self %}

{% block form_row %}
    {%- set widget_attr = {} -%}
    {%- if help is not empty -%}
        {%- set widget_attr = {attr: {'aria-describedby': id ~"_help"}} -%}
    {%- endif -%}
    {{- form_label(form, null, {
            label_attr: { class: 'sr-only' }
    }) -}}
    {{- form_errors(form) -}}
    {{- form_widget(form, widget_attr) -}}
    {{- form_help(form) -}}
{% endblock %}

{% block _user_registration_form_agreeTerms_row %}
    <div class="checkbox mb-3">
        {{ form_errors(form) }}
        <label>
            <input type="checkbox" name="{{ full_name }}" required> Agree to terms I for sure read
        </label>
    </div>
{% endblock %}

{% block title %}Register!{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('css/login.css') }}">
{% endblock %}

{% block body %}
    {{ form_start(registrationForm, {
            attr: { class: 'form-signin'}
        }) }}
        <h1 class="h3 mb-3 font-weight-normal">Regsiter</h1>
        {{ form_row(registrationForm.email, {
            attr: { placeholder: 'Email' }
        }) }}
        {{ form_row(registrationForm.plainPassword, {
            attr: { placeholder: 'Password' }
        }) }}
        {{ form_row(registrationForm.agreeTerms) }}
        <button class="btn btn-lg btn-primary btn-block" type="submit">
            Register
        </button>
    {{ form_end(registrationForm) }}
{#
<form class="form-signin" method="post">
    
    <h1 class="h3 mb-3 font-weight-normal">Regsiter</h1>
    <label for="inputEmail" class="sr-only">Email</label>
    <input type="email" name="email" id="inputEmail" class="form-control" placeholder="Email" required autofocus>
    <label for="inputPassword" class="sr-only">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password" required>


    
        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_terms"> I agree to the T&C
            </label>
        </div>

    <button class="btn btn-lg btn-primary" type="submit">
        Register
    </button>
</form>
#}
{% endblock %}
